summaryrefslogtreecommitdiff
path: root/utils
diff options
context:
space:
mode:
Diffstat (limited to 'utils')
-rwxr-xr-xutils/hooks/pre-push7
1 files changed, 7 insertions, 0 deletions
diff --git a/utils/hooks/pre-push b/utils/hooks/pre-push
index 0eb8f5ce..5dc8adda 100755
--- a/utils/hooks/pre-push
+++ b/utils/hooks/pre-push
@@ -56,6 +56,13 @@ do
echo >&2 "Missing committer Signed-off-by in commit $commit"
errors=$((errors+1))
fi
+
+ # 3. A Reviewed-by is required.
+ if ! echo "$msg" | grep -q '^Reviewed-by: '
+ then
+ echo >&2 "No Reviewed-by in commit $commit"
+ errors=$((errors+1))
+ fi
done
if [ $errors != 0 ]